package com.cyl.manager.marketing.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cyl.manager.marketing.domain.WechatStock;

import java.util.List;

/**
 * 微信商家券Mapper接口
 * 
 * @author daixiande
 */
public interface WechatStockMapper extends BaseMapper<WechatStock> {
    /**
     * 查询微信商家券
     * 
     * @param id 微信商家券主键
     * @return 微信商家券
     */
    WechatStock selectById(Long id);

    /**
     * 查询微信商家券列表
     * 
     * @param wechatStock 微信商家券
     * @return 微信商家券集合
     */
    List<WechatStock> selectList2(WechatStock wechatStock);

    /**
     * 新增微信商家券
     * 
     * @param wechatStock 微信商家券
     * @return 结果
     */
    int insert(WechatStock wechatStock);

    /**
     * 修改微信商家券
     * 
     * @param wechatStock 微信商家券
     * @return 结果
     */
    int update(WechatStock wechatStock);

    /**
     * 删除微信商家券
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 批量删除微信商家券
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);

    /**
     * 更新或插入微信商家券
     *
     * @param wechatStock 微信商家券
     * @return 结果
     */
    int insertOrUpdate(WechatStock wechatStock);

}
